cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-9608) cordova-android no longer builds on Node 0.10 or below
Date Tue, 29 Sep 2015 06:47:04 GMT

    [ https://issues.apache.org/jira/browse/CB-9608?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14934735#comment-14934735
] 

ASF GitHub Bot commented on CB-9608:
------------------------------------

Github user asfgit closed the pull request at:

    https://github.com/apache/cordova-android/pull/217


> cordova-android no longer builds on Node 0.10 or below
> ------------------------------------------------------
>
>                 Key: CB-9608
>                 URL: https://issues.apache.org/jira/browse/CB-9608
>             Project: Apache Cordova
>          Issue Type: Bug
>    Affects Versions: Master
>            Reporter: Matt Steele
>            Assignee: Sergey Shakhnazarov
>
> cordova-android uses `path.isAbsolute` as part of its build script, which is only available
on Node versions 0.12 and above.
> This commit (related to CB-9284) introduced the `isAbsolute` dependency: https://github.com/apache/cordova-android/commit/d3245a43d303b570daed1c2fc828deccbe306441
> Based on [this slack conversation|https://cordova.slack.com/archives/general/p1441150444000145],
it looks like this resolution is to continue supporting 0.10, so we should find a way to remove
`path.isAbsolute`. Here's one option: https://www.npmjs.com/package/path-is-absolute



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message